<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: 1: Enum APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>1: Enum APIs<br/>
<small>
[<a class="el" href="group__PYTIOVX__API.html">PyTIOVX APIs</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Type.html">tiovx.enums.Type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Object/Data type (OpenVX equivalent = vx_type_e).  <a href="classtiovx_1_1enums_1_1Type.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1DfImage.html">tiovx.enums.DfImage</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image data format (OpenVX equivalent = vx_df_image).  <a href="classtiovx_1_1enums_1_1DfImage.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Channel.html">tiovx.enums.Channel</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Image channel (OpenVX equivalent = vx_channel_e).  <a href="classtiovx_1_1enums_1_1Channel.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Target.html">tiovx.enums.Target</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1enums_1_1Target.html" title="Target on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx).">Target</a> on which to execute a node (TIOVX equivalent = TIVX_TARGET_xxxx).  <a href="classtiovx_1_1enums_1_1Target.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Policy.html">tiovx.enums.Policy</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Conversion <a class="el" href="classtiovx_1_1enums_1_1Policy.html" title="Conversion Policy (OpenVX equivalent = vx_convert_policy_e).">Policy</a> (OpenVX equivalent = vx_convert_policy_e).  <a href="classtiovx_1_1enums_1_1Policy.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html">tiovx.enums.NonLinearFilter</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Non linear filter type (OpenVX equivalent = vx_non_linear_filter_e).  <a href="classtiovx_1_1enums_1_1NonLinearFilter.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Pattern.html">tiovx.enums.Pattern</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Matrix Patterns (OpenVX equivalent = vx_pattern_e).  <a href="classtiovx_1_1enums_1_1Pattern.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1InterpolationType.html">tiovx.enums.InterpolationType</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Interpollation type (OpenVX equivalent = vx_interpolation_type_e).  <a href="classtiovx_1_1enums_1_1InterpolationType.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Bool.html">tiovx.enums.Bool</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Boolean type (OpenVX equivalent = vx_bool).  <a href="classtiovx_1_1enums_1_1Bool.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Norm.html">tiovx.enums.Norm</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normalization type (OpenVX equivalent = vx_norm_type_e).  <a href="classtiovx_1_1enums_1_1Norm.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1Direction.html">tiovx.enums.Direction</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameter direction (OpenVX equivalent = vx_direction_e).  <a href="classtiovx_1_1enums_1_1Direction.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1ParamState.html">tiovx.enums.ParamState</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameter state (OpenVX equivalent = vx_parameter_state_e).  <a href="classtiovx_1_1enums_1_1ParamState.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1PyramidScale.html">tiovx.enums.PyramidScale</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pyramid Scale (OpenVX equivalent = VX_SCALE_PYRAMID_xxx).  <a href="classtiovx_1_1enums_1_1PyramidScale.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1ThresholdType.html">tiovx.enums.ThresholdType</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Threshold <a class="el" href="classtiovx_1_1enums_1_1Type.html" title="Object/Data type (OpenVX equivalent = vx_type_e).">Type</a> (OpenVX equivalent = vx_threshold_type_e).  <a href="classtiovx_1_1enums_1_1ThresholdType.html#_details">More...</a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
